Option Explicit

#include ..\lib\framework_domotics.vbs
#include local-parameters.inc

Sub main
Dim astrWebPageTXT
Dim astrWebPageHTML
Dim astrBuffer
Dim astrNbDv
Dim i
Dim j
Dim atabDv
Dim astrDevices
Dim astrDevice
Dim astrConfig
Dim aintNbDevOut
Dim aboolReturn
Dim astrPARAM1
Dim astrPARAM2
Dim astrPARAM3
Dim astrPARAM4
Dim tabvalues

WriteLog G_FOLDER_NAME, G_SCRIPT_EVT, G_TIV_INF, "Launching " & G_FOLDER_NAME & " script", G_LOG_FILE
If CheckDevices(G_FOLDER_NAME, G_FILE_INI, G_STATUS_EXIST) Then	
	astrDevices 		= hs.GetINISetting("COMMON","DEVICES","", G_FILE_INI)
	astrConfig  		= hs.GetINISetting("COMMON","CONFIG","..\scripts\config\", G_FILE_INI)
	atabDv	 			= Split(astrDevices, G_SEP)
	astrNbDv 			= UBound(atabDv) 
	astrWebPageTXT	= ""
	astrWebPageHTML	= ""
	aintNbDevOut	= 0
		
	astrWebPageHTML = WGetAndCacheWebPage(	hs.GetINISetting("COMMON","URL","",G_FILE_INI), _
											hs.GetINISetting("COMMON","FILE","",G_FILE_INI), _
											True,0 )									
	
	If 	(instr(astrWebPageTXT,"Page inconnue") > 0) 	 Or _
		  (instr(astrWebPageTXT,"ERROR") > 0) 			     Or _ 
		  (instr(astrWebPageHTML,"ERROR") > 0)			     Or _ 
		  (astrWebPageHTML = "")							           Then
			
		WriteLog G_FOLDER_NAME, G_SCRIPT_EVT, G_TIV_SEV, "Error during the download of the following url " &  _
				hs.GetINISetting("COMMON","URL","",G_FILE_INI), G_LOG_FILE	
								
	Else
		i = 0
		tabvalues = Split(astrWebPageHTML, "<")
		While (i <= CInt(astrNbDv))
			astrDevice 			= hs.GetINISetting("DEVICE", "HC", "", astrConfig & atabDv(i)) & _ 
								  hs.GetINISetting("DEVICE", "DC", "", astrConfig & atabDv(i))
			astrPARAM1			= hs.GetINISetting("DEVICE", "PARAM1", "", astrConfig & atabDv(i))	
				
			

		        If (astrPARAM1 = "TEMP_MIN") Then
				setDevice astrDevice, mid(tabvalues(23), instr(tabvalues(23),chr(34))+1, len(tabvalues(23))-instr(tabvalues(23),chr(34))-3) & "C", "", ""
			ElseIf (astrPARAM1 = "TEMP_MAX") Then
				setDevice astrDevice, mid(tabvalues(24), instr(tabvalues(24),chr(34))+1, len(tabvalues(24))-instr(tabvalues(24),chr(34))-3) & "C", "", ""
			ElseIf (astrPARAM1 = "TEMP_EXTERIEURE") Then
				setDevice astrDevice, mid(tabvalues(16), instr(tabvalues(16),chr(34))+1, len(tabvalues(16))-instr(tabvalues(16),chr(34))-3) & "C", "", ""
			ElseIf (astrPARAM1 = "HUMIDITE") Then
				setDevice astrDevice, mid(tabvalues(17), instr(tabvalues(17),chr(34))+12, len(tabvalues(17))-(instr(tabvalues(17),chr(34))+11)-3), "", ""
			ElseIf (astrPARAM1 = "DIRECTION_VENT") Then
				setDevice astrDevice, mid(tabvalues(19), instr(tabvalues(19),chr(34))+8, len(tabvalues(19))-(instr(tabvalues(19),chr(34))+7)-3), "", ""
			ElseIf (astrPARAM1 = "PREVISIONJ") Then
				setDevice astrDevice, "<table border='0'><tr><td rowspan='3'><IMG SRC='http://www.google.fr" & mid(tabvalues(25), instr(tabvalues(25),chr(34))+1, len(tabvalues(25))-instr(tabvalues(25),chr(34))-3) & "'</td><td>" & mid(tabvalues(26), instr(tabvalues(26),chr(34))+1, len(tabvalues(26))-instr(tabvalues(26),chr(34))-3) & "</td></tr><tr><td>Max. " &  mid(tabvalues(24), instr(tabvalues(24),chr(34))+1, len(tabvalues(24))-instr(tabvalues(24),chr(34))-3) & "</td></tr><tr><td>Min. " &  mid(tabvalues(23), instr(tabvalues(23),chr(34))+1, len(tabvalues(23))-instr(tabvalues(23),chr(34))-3) & "</td></tr></table>", "", ""
			ElseIf (astrPARAM1 = "PREVISIONJ1") Then
				setDevice astrDevice, "<table border='0'><tr><td rowspan='3'><IMG SRC='http://www.google.fr" & mid(tabvalues(32), instr(tabvalues(32),chr(34))+1, len(tabvalues(32))-instr(tabvalues(32),chr(34))-3) & "'</td><td>" & mid(tabvalues(33), instr(tabvalues(33),chr(34))+1, len(tabvalues(33))-instr(tabvalues(33),chr(34))-3) & "</td></tr><tr><td>Max. " &  mid(tabvalues(31), instr(tabvalues(31),chr(34))+1, len(tabvalues(31))-instr(tabvalues(31),chr(34))-3) & "</td></tr><tr><td>Min. " &  mid(tabvalues(30), instr(tabvalues(30),chr(34))+1, len(tabvalues(30))-instr(tabvalues(30),chr(34))-3) & "</td></tr></table>", "", ""
			ElseIf (astrPARAM1 = "PREVISIONJ2") Then
				setDevice astrDevice, "<table border='0'><tr><td rowspan='3'><IMG SRC='http://www.google.fr" & mid(tabvalues(39), instr(tabvalues(39),chr(34))+1, len(tabvalues(39))-instr(tabvalues(39),chr(34))-3) & "'</td><td>" & mid(tabvalues(40), instr(tabvalues(40),chr(34))+1, len(tabvalues(40))-instr(tabvalues(40),chr(34))-3) & "</td></tr><tr><td>Max. " &  mid(tabvalues(38), instr(tabvalues(38),chr(34))+1, len(tabvalues(38))-instr(tabvalues(38),chr(34))-3) & "</td></tr><tr><td>Min. " &  mid(tabvalues(37), instr(tabvalues(37),chr(34))+1, len(tabvalues(37))-instr(tabvalues(37),chr(34))-3) & "</td></tr></table>", "", ""
			ElseIf (astrPARAM1 = "PREVISIONJ3") Then
				setDevice astrDevice, "<table border='0'><tr><td rowspan='3'><IMG SRC='http://www.google.fr" & mid(tabvalues(46), instr(tabvalues(46),chr(34))+1, len(tabvalues(46))-instr(tabvalues(46),chr(34))-3) & "'</td><td>" & mid(tabvalues(47), instr(tabvalues(47),chr(34))+1, len(tabvalues(47))-instr(tabvalues(47),chr(34))-3) & "</td></tr><tr><td>Max. " &  mid(tabvalues(45), instr(tabvalues(45),chr(34))+1, len(tabvalues(45))-instr(tabvalues(45),chr(34))-3) & "</td></tr><tr><td>Min. " &  mid(tabvalues(44), instr(tabvalues(44),chr(34))+1, len(tabvalues(44))-instr(tabvalues(44),chr(34))-3) & "</td></tr></table>", "", ""
			ELSE
				WriteLog G_FOLDER_NAME, G_SCRIPT_EVT, G_TIV_CRI, astrDevice & " has a bad PARAM1 !", G_LOG_FILE	
			End if

			
			If DateDiff("H", hs.DeviceLastChange(astrDevice), now) >= 24 Then
				aintNbDevOut = aintNbDevOut + 1
			End if						
					  
			WriteLog G_FOLDER_NAME, G_SCRIPT_EVT, G_TIV_INF, astrDevice & " done! ", G_LOG_FILE				
			i = i + 1
		Wend						  			  							  
	End If
Else
	WriteLog G_FOLDER_NAME, G_SCRIPT_EVT, G_TIV_SEV, "Expected Device is unknown !", G_LOG_FILE
	
End if
WriteLog G_FOLDER_NAME, G_SCRIPT_EVT, G_TIV_INF, "End of the script", G_LOG_FILE
End sub

